#include <iostream>
using namespace std;
int main() 
{
    int n;
    int proizvod = 0;
    cin>>n;
    int a[n+1];
    int b[n+1];
    for(int i=1;i<=n;i++)
        cin>>a[i];
    for(int i=1;i<=n;i++)
        cin>>b[i];
    for(int i = 1; i <= n; i++)
    {
        for(int j = i; j <= n; j++)
        {
            if((a[i] ^ a[j])*(b[i]&b[j]) > proizvod)  
                proizvod = (a[i] ^ a[j])*(b[i]&b[j]);
        }
    }
    cout<<proizvod;
    return 0;
}